Page MenuHome

Eevee multiple UVs issue
Closed, ResolvedPublic

Description

System Information
Operating system: Linux-4.15.0-58-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: Quadro GP100/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.40

Blender Version
Broken: version: 2.81 (sub 11), branch: master, commit date: 2019-09-13 09:03, hash: rBbb7c858598ff

Short description of error
In this example character I am using 3 UV maps. One for the head, one for the body & one for the hands.
Each area of the body doesn't just have its own UV map but also its own material that is using this UV map.

When entering the Material Preview Mode only the body is on colour, which is likely because the other 2 UVs were not loaded?
When clicking on any UV map in the object data tab it fixes itself.

Event Timeline

Jacques Lucke (JacquesLucke) lowered the priority of this task from 90 to 30.Sep 19 2019, 3:45 PM

Please pack the textures into the file.

Jacques Lucke (JacquesLucke) raised the priority of this task from 30 to 50.Sep 19 2019, 5:10 PM

Thanks, I can reproduce the issue.

When triaging bugs, please also assign or subscribe the relevant developer.

This seems like a potentially significant regression, but might also have been solved already, didn't test.

Clément Foucault (fclem) changed the task status from Unknown Status to Resolved.Oct 7 2019, 7:34 PM

Seems fixed.